<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="appParents?.length > 0" class="statements">
  <span class="statements--titlebar">{{"shared.linkedStatements.precedingStatements" | translate}}</span>
  <app-statement-table
    [appColumns]="columns"
    [appEntries]="appParents"
    [appOpenStatementInNewTab]="true"
    [appStatementTypeOptions]="appStatementTypeOptions"
    class="openk-table---last-row-without-border">
  </app-statement-table>
</div>

<div *ngIf="appChildren?.length > 0" class="statements">
  <span class="statements--titlebar">{{"shared.linkedStatements.successiveStatements" | translate}}</span>
  <app-statement-table
    [appColumns]="columns"
    [appEntries]="appChildren"
    [appOpenStatementInNewTab]="true"
    [appStatementTypeOptions]="appStatementTypeOptions"
    class="openk-table---last-row-without-border">
  </app-statement-table>
</div>


